Moody’s strongly recommends that Risk Modeler and UnderwriteIQ tenants use the Platform APIs instead of the Risk Modeler APIs for all future projects. See Migrate to Plaform APIs.

Get EP interpolation results

Returns a list of EP interpolation results for the specified analysis result.

Exceedance probability (EP) analysis produces cumulative distribution curves that represent the probability that losses will exceed a certain amount, from either single or multiple occurrences. DLM and ALM EP analyses generate event loss tables (ELTs).

curl --request GET \
     --url 'https://{host}/riskmodeler/v2/analyses/47/ep/interpolate? \
     perspective=GR& \
     exposureId=56& \
     exposureType=8017& \
     key=RETURNPERIOD& \
     value=7& \
     metricType=EP' \
     --header 'Authorization: XXXXXXXXXX' \
     --header 'accept: application/json'

To learn more, see Filter Analysis Results.

Path Params
int32
required
≥ 1

ID number of result.

Query Params
string
required

Financial perspective that provides a view of risk. One of FA (facultative reinsurance loss), GR (gross loss), GU (ground up loss), QS (quota share loss), RG (reinsurance gross loss), RL (net loss cat), RN (reinsurance net loss), SS (surplus share loss), or WX (working excess loss).

int32

ID of treaty

int32
≥ 0

ID of exposure

int32
≥ 1

Exposure identified by four-digit code, e.g. 8017 (portfolio), 8019 (account), 8021 (policy).

string
required

Name of metric key

double
required

Value of metric key

string

Type of metric. One of ELT, EP, or STATS.

Responses

Language
Credentials
URL
Response
Choose an example:
application/json